import React, { PureComponent } from 'react'

import Question from './Question.js'

class Subject extends PureComponent {
  render () {
    const { subj, onChange, deleteQuestion } = this.props

    if (subj) {
      return (
        <div >
          {subj.Questions.map((question, i) => {
            return (
              <Question
                deleteQuestion={deleteQuestion}
                onChange={onChange}
                key={i}
                subjInd={subj.ind}
                question={question}
              />
            )
          })}
        </div>
      )
    } else {
      return (
        <div />
      )
    }
  }
}

export default Subject
